# Generated from sensu-plugins-rabbitmq-8.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sensu-plugins-rabbitmq

Name: rubygem-%{gem_name}
Version: 8.1.0
Release: 1%{?dist}
Summary: Sensu plugins for rabbitmq
License: MIT
URL: https://github.com/sensu-plugins/sensu-plugins-rabbitmq
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.4
# BuildRequires: rubygem(codeclimate-test-reporter) < 1
# BuildRequires: rubygem(github-markup) >= 3.0
# BuildRequires: rubygem(github-markup) < 4
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(redcarpet) >= 3.2
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.51.0
# BuildRequires: rubygem(rubocop) < 0.52
# BuildRequires: rubygem(simplecov) >= 0.16.1
# BuildRequires: rubygem(simplecov) < 0.17
# BuildRequires: rubygem(simplecov-console) >= 0.4.2
# BuildRequires: rubygem(simplecov-console) < 0.5
# BuildRequires: rubygem(simplecov-html) >= 0.10.2
# BuildRequires: rubygem(simplecov-html) < 0.11
# BuildRequires: rubygem(yard) >= 0.9.11
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
This plugin provides native RabbitMQ instrumentation
for monitoring and metrics collection, including:
service health, message, consumer, and queue health/metrics
via `rabbitmq_management`, and more.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/metrics-rabbitmq-queue.rb
%{_bindir}/check-rabbitmq-messages.rb
%{_bindir}/metrics-rabbitmq-exchange.rb
%{_bindir}/check-rabbitmq-node-usage.rb
%{_bindir}/check-rabbitmq-network-partitions.rb
%{_bindir}/check-rabbitmq-amqp-alive.rb
%{_bindir}/check-rabbitmq-stomp-alive.rb
%{_bindir}/check-rabbitmq-node-health.rb
%{_bindir}/check-rabbitmq-queues-synchronised.rb
%{_bindir}/check-rabbitmq-queue-drain-time.rb
%{_bindir}/check-rabbitmq-consumers.rb
%{_bindir}/check-rabbitmq-queue.rb
%{_bindir}/metrics-rabbitmq-overview.rb
%{_bindir}/check-rabbitmq-cluster-health.rb
%{_bindir}/check-rabbitmq-consumer-utilisation.rb
%{_bindir}/check-rabbitmq-alive.rb
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 8.1.0-1
- Initial package
